Update Webhook
curl --request PUT \
--url https://api.us.vartiq.com/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.us.vartiq.com/webhooks/{webhookId}"
payload = {
"name": "<string>",
"url": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>'})
};
fetch('https://api.us.vartiq.com/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"customHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Webhooks
Update Webhook
PUT
/
webhooks
/
{webhookId}
Update Webhook
URL Parameters
string
required
The unique identifier of the webhook to update
Body Parameters
string
New name for the webhook (2-100 characters)
string
New URL where webhook events will be sent
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
object
The updated webhook object
Show Properties
Show Properties
string
Unique identifier for the webhook
string
Updated name of the webhook
string
Updated URL where webhook events will be sent
string
Secret key for webhook verification
string
Timestamp when the webhook was created
string
Timestamp when the webhook was last updated
Response Example
{
"success": true,
"message": "Webhook updated successfully",
"data": {
"id": "wh_01JT39T79CFY20Z7G0M2KC4HVC",
"name": "heelo111",
"url": "https://exp1.com",
"secret": "01JT39T79HMJHEYQ9FXZ9VM2XC",
"customHeaders": [
{
"key": "x-app",
"value": "x-value"
}
],
"headers": [
{
"key": "Content-Type",
"value": "application/json"
}
],
"createdAt": "2025-04-30T12:12:45.756Z",
"updatedAt": "2025-04-30T12:17:10.831Z"
}
}
⌘I